## cg3 1.5.1

=== python/CMakeLists.txt ===
find_package(SWIG 3.0 REQUIRED)
find_package(Python 3.8 REQUIRED)
set(PYTHON_EXECUTABLE ${Python_EXECUTABLE})

set(PYTHON_FILE "constraint_grammar.py")
set(CPP_WRAP_FILE "constraint_grammar_wrap.cpp")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/cg3.py" "from constraint_grammar import *\n")

set(BUILD_DEFS "")
get_directory_property(_defs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} COMPILE_DEFINITIONS)
foreach(d ${_defs})
	set(BUILD_DEFS "${BUILD_DEFS} -D${d}")
endforeach()
configure_file(constraint_grammar.i.in constraint_grammar.i @ONLY)
configure_file(setup.py.in setup.py)

add_custom_command(OUTPUT ${CPP_WRAP_FILE} ${PYTHON_FILE}
	COMMAND ${PYTHON_EXECUTABLE} setup.py build
	DEPENDS cg3
	COMMENT "Building ${PYTHON_FILE}"
)

add_custom_target(wrapper ALL
	DEPENDS ${CPP_WRAP_FILE} ${PYTHON_FILE}
	VERBATIM
)

if(NOT PYTHON_INSTALL_PARAMS)
	set(PYTHON_INSTALL_PARAMS "--prefix=${CMAKE_INSTALL_PREFIX} --root=\$ENV{DESTDIR}/")
endif()

set(INSTALL_WRAPPER "${PYTHON_EXECUTABLE} setup.py install ${PYTHON_INSTALL_PARAMS}")
install(CODE "execute_process(COMMAND ${INSTALL_WRAPPER} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")

=== debian/changelog ===
cg3 (1.5.1-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 11 Apr 2025 13:36:03 +0200

=== debian/control ===
Source: cg3
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               libboost-dev,
               libicu-dev,
               libsqlite3-dev,
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig
Standards-Version: 4.7.2
Homepage: https://edu.visl.dk/cg3.html
Vcs-Git: https://salsa.debian.org/science-team/cg3.git
Vcs-Browser: https://salsa.debian.org/science-team/cg3
Rules-Requires-Root: no

Package: cg3
Architecture: any
Depends: libcg3-1 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Provides: vislcg3
Conflicts: vislcg3
Replaces: vislcg3
Suggests: libdigest-sha-perl
Description: Tools for using the 3rd edition of Constraint Grammar (CG-3)
 Constraint Grammar compiler and applicator for the 3rd edition of CG
 that is developed and maintained by VISL SDU and GrammarSoft ApS.
 .
 CG-3 can be used for disambiguation of morphology, syntax, semantics, etc;
 dependency markup, target language lemma choice for MT, QA systems, and
 much more. The core idea is that you choose what to do based on the whole
 available context, as opposed to n-grams.
 .
 See https://edu.visl.dk/cg3.html for more documentation

Package: cg3-dev
Architecture: all
Depends: cg3 (>= ${binary:Version}),
         libcg3-dev (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Metapackage providing both CG-3 CLI dev tools and dev library
 Development files to use the CG-3 CLI tools and library API.
 .
 See https://edu.visl.dk/cg3.html for more documentation

Package: libcg3-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libcg3
Conflicts: libcg3
Replaces: libcg3
Description: Runtime for CG-3
 Runtime library for applications using the CG-3 API.
 .
 It is recommended to instrument the CLI tools instead of using this API.
 .
 See https://edu.visl.dk/cg3.html for more documentation

Package: libcg3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libcg3-1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Headers and shared files to develop using the CG-3 library
 Development files to use the CG-3 API.
 .
 It is recommended to instrument the CLI tools instead of using this API.
 .
 See https://edu.visl.dk/cg3.html for more documentation

Package: python3-cg3
Architecture: any
Section: python
Provides: ${python3:Provides}
Depends: libcg3-1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Wrapper for CG-3
 Constraint Grammar compiler and applicator for the 3rd edition of CG
 that is developed and maintained by VISL SDU and GrammarSoft ApS.
 .
 This package provides wrapper to use CG-3 from Python.
